<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/reclamo_devolucion.php';

$response = array();

if (!isset($_POST['id_usuario'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$id_usuario = $_POST['id_usuario'];

$reclamos_devolucion = ReclamoDevolucion::mdlGetReclamosDevolucionByUsuario($id_usuario);

if (!$reclamos_devolucion) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontraron reclamos de devolución para el usuario';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $reclamos_devolucion;

echo json_encode($response);